> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv2products



## OpenAPI

````yaml /openapi/ibis-api.openapi.json get /api/v2/products
openapi: 3.0.0
info:
  version: v2
  title: IbisNx.API v2
servers:
  - url: https://online.ibisres.com
security: []
paths:
  /api/v2/products:
    get:
      tags:
        - NxServerApi
      operationId: NxServerApi_Products
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/_product'
            text/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/_product'
            application/xml:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/_product'
            text/xml:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/_product'
components:
  schemas:
    _product:
      type: object
      properties:
        product_code:
          type: string
        name:
          type: string
        description:
          type: string
        prod_type:
          type: string
        operator_code:
          type: string
        lat_long:
          type: string
        trip_advice:
          type: string
        disclaimer:
          type: string
        booking_pricing:
          type: array
          items:
            $ref: '#/components/schemas/_booking_item'
        addon_pricing:
          $ref: '#/components/schemas/_addon_item'
        list_order:
          format: int32
          type: integer
        duration:
          type: string
        promo_code:
          type: string
        store_creditcard:
          type: boolean
        defaults:
          type: string
        keywords:
          type: string
        timeZone:
          type: string
        product_code_transport:
          type: string
        brand:
          type: string
        Sk_Product_Transport:
          format: int32
          type: integer
    _booking_item:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        description:
          type: string
        list_order:
          format: int32
          type: integer
        unit_price_inc:
          format: double
          type: number
        units:
          format: int32
          type: integer
        places_per_unit:
          format: int32
          type: integer
        Details:
          type: string
        line_commission:
          format: double
          type: number
        item_type:
          type: string
        max_avail:
          format: int32
          type: integer
        online_attribs:
          type: string
    _addon_item:
      type: object
      properties:
        code:
          type: string
        name:
          type: string
        description:
          type: string
        online_attribs:
          type: string
        list_order:
          format: int32
          type: integer
        unit_price_inc:
          format: double
          type: number
        units:
          format: int32
          type: integer
        line_commission:
          format: double
          type: number
        max_avail:
          format: int32
          type: integer
        places_per_unit:
          format: int32
          type: integer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.